Skip to main content
POST
/
v2
/
project
/
{projectID}
/
user
/
{userID}
/
interact
/
stream
Interact (stream)
curl --request POST \
  --url https://general-runtime.voiceflow.com/v2/project/{projectID}/user/{userID}/interact/stream \
  --header 'Content-Type: application/json' \
  --header 'authorization: <api-key>' \
  --data '
{
  "action": {
    "type": "action",
    "payload": {
      "actions": [
        {
          "type": "<string>",
          "payload": "<unknown>"
        }
      ],
      "label": "<string>"
    },
    "diagramID": "<string>",
    "time": 123
  },
  "variables": {},
  "sessionID": "<string>"
}
'
{
  "event": "trace",
  "data": {
    "type": "audio",
    "payload": {
      "state": "start",
      "messageID": "<string>",
      "delay": 123
    },
    "paths": [
      {
        "label": "<string>",
        "event": {
          "type": "<string>",
          "payload": "<unknown>",
          "diagramID": "<string>",
          "time": 123
        }
      }
    ],
    "defaultPath": 123,
    "time": 123
  },
  "id": "<string>",
  "type": "event"
}

Authorizations

authorization
string
header
required

Voiceflow Dialog Manager API key (VF.DM)

Path Parameters

projectID
string
required

The ID of the Voiceflow project to interact with.

userID
string
required

An ID which uniquely identifies the user having the conversation.

Query Parameters

modality
enum<string>

Certain features are only available depending on your modality.

Available options:
voice,
chat,
api
environment
string
default:development

Which environment to target within the project.

audio_events
boolean

If enabled, the configured speech-to-text provider will be invoked to convert system response text to audio. Audio traces will be returned from the server.

audio_encoding
enum<string>
default:audio/mp3

When audio_events are enabled, selects the encoding of audio traces returned by the server.

Available options:
audio/mp3,
audio/x-mulaw,
audio/pcm
completion_events
boolean

When enabled, LLM traces will be broken up into streamed-in chunks - documentation

userTimezone
string

The timezone experienced by the user in this conversation.

state
boolean

When enabled, conversation state is returned in response to each interaction.

Body

application/json
action
object
required

Start a new conversation with a launch action or reply to a message with the text action.

variables
object

Set variables for the next turn of the conversation.

sessionID
string

Unique ID of the conversation session.

Response

200 - text/event-stream

Traces contain responses, media and metadata generated by the conversation runtime.

event
enum<string>
required
Available options:
trace
data
object
required
id
string
type
enum<string>
Available options:
event